package java.de.TimeSlice;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.security.*;


/**
 * @author      Burghard Grueter
 * @author      Johannes Schick
 * @version     1.0, 11/06/2000
 * @since       JDK1.2
 */
	/**
	 * class <pre>MainFrame</pre> is the MainWindow
	 * of <pre>TimeSlice</pre> containing all
	 * visible Objects. Initially only little is done
	 */
public class MainFrame extends JFrame {

    class MainWindowAdapter extends WindowAdapter 
    {
		public void WindowClosing(WindowEvent e)
		{
			System.exit(0);
		}
    }
	

	/**
	 * an instance of ControlPanel is inserted
	 *
	 * @param   title  
	 * @param   tMan   used as interface <pre>ControlPanelListener</pre>
	 *					by ControlPanel
	 */
    public MainFrame(String title, TaskManager tMan) {

        super(title);
		
		JPanel Pane = new JPanel();
		
		cPanel = new ControlPanel(this, tMan);
        Pane.setLayout(new FlowLayout());
		Pane.add(cPanel);
				
		setContentPane(Pane);
		addWindowListener(new MainWindowAdapter());
    }

 
	private ControlPanel cPanel;
}


